Bug 1255949 - [abrt] blueman: errors.py:148:warp:DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
[abrt] blueman: errors.py:148:warp:DBusException: org.freedesktop.DBus.Error....
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e8a4d1b1479625f553d4adac37b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 04:30 EDT by leigh scott
Modified: 2016-07-19 13:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2015-08-22 04:30 EDT, leigh scott
no flags Details
File: environ (1.64 KB, text/plain)
2015-08-22 04:30 EDT, leigh scott
no flags Details

  None (edit)
Description leigh scott 2015-08-22 04:30:41 EDT
Description of problem:
disconnecting bluetooth network in networt applet in cinnamon

Version-Release number of selected component:
blueman-2.1-0.1.git0a5defd.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
errors.py:148:warp:DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist


Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 104, in on_adapter_added
    wait_for_adapter(adapter, on_activate)
  File "/usr/lib/python2.7/site-packages/blueman/Functions.py", line 125, in wait_for_adapter
    props = bluez_adapter.get_properties()
  File "/usr/lib/python2.7/site-packages/blueman/bluez/errors.py", line 148, in warp
    raise parse_dbus_error(exception)
DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist


Local variables in innermost frame:
exception: DBusException('Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn\'t exist\n',)
args: (<Adapter object at 0x7f850fe42fa0 (blueman+bluez+Adapter+Adapter at 0x2257f80)>,)
func: <function get_properties at 0x7f851758ad70>
kwargs: {}
Comment 1 leigh scott 2015-08-22 04:30:44 EDT
Created attachment 1065792 [details]
File: backtrace
Comment 2 leigh scott 2015-08-22 04:30:45 EDT
Created attachment 1065793 [details]
File: environ
Comment 3 leigh scott 2015-08-24 07:22:11 EDT
Another user experienced a similar problem:

deleting device

reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
event_log:      2015-08-24-12:21:29> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.1.5-200.fc22.x86_64
package:        blueman-2.1-0.2.git7a2e20e.fc22
reason:         errors.py:148:warp:DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
runlevel:       N 5
type:           Python
uid:            1000
Comment 4 Fedora Admin XMLRPC Client 2016-06-21 12:25:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 13:37:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.